<?php
    require_once('../../../config.php');
    require_once($CFG->libdir.'/filelib.php');

    $a = required_param('a', PARAM_INT);         // meeting ID
    $userid = required_param('uid', PARAM_INT);
    $action = optional_param('action', '', PARAM_ALPHA);

    if (!empty($a)) {
        if (! $meetingpoint = get_record("meetingpoint", "id", $a)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $meetingpoint->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("meetingpoint", $meetingpoint->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    } else {
        error('A required parameter is missing');
    }


//    require_login($course->id, false, $cm);
//    if (confirm_sesskey()) { 
        $basepath = $course->id.'/'.$CFG->moddata.'/meetingpoint';
        $workdir = $basepath.'/'.$meetingpoint->id.'/userimages';

        switch ($action) {
            case 'upload':
                require_once($CFG->dirroot.'/lib/uploadlib.php');
                $um = new upload_manager('Filedata',false,false,$course->id,false,$course->maxbytes);
                if ($um->process_file_uploads($workdir)) {
                    $newfile_name = $CFG->dataroot.'/'.$workdir.'/'.$um->get_new_filename();
                    $filepath = $CFG->dataroot.'/'.$workdir.'/'.$userid.'.photo';
                    if (rename($newfile_name, $filepath)) {
                        echo 'true';
                    } else {
                        echo 'false';
                    }
                } else {
                    echo 'false';
                }

            break;
            default:
                $filepath = $CFG->dataroot.'/'.$workdir.'/'.$userid.'.photo';

                if (file_exists($filepath)) {
                    if (!is_dir($filepath)) {
                        send_file($filepath, basename($filepath),86400, 0, false, true, "image/xxx");
                    }
                } else {
                    $userdata = get_record('user','id',$userid,'','','','','picture');

                    if(empty($userdata->picture)) {
                        send_file($CFG->dirroot.'/mod/meetingpoint/pix/default.jpg', 'default.jpg',86400, 0, false, true, "image/jpeg");
                    } else{
                        $pathname = make_user_directory($userid, true) . "/f1.jpg";
                        send_file($pathname, 'pic.jpg',86400, 0, false, true, "image/jpeg");
                    }
                }
            break;
        }
//    }
?>
