<?php
/**
* Provides an XML file with available files for the meetingpoint
*/
    require_once("../../../config.php");

    require_once($CFG->dirroot.'/mod/meetingpoint/locallib.php');
    
    $a = required_param('a', PARAM_INT);       // Course Module ID, or

    if (!empty($a)) {
        if (! $meetingpoint = get_record("meetingpoint", "id", $a)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $meetingpoint->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("meetingpoint", $meetingpoint->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    } else {
        error('A required parameter is missing');
    }

    require_login($course->id, false, $cm);

    $path = '/'.$course->id.'/'.$CFG->moddata.'/meetingpoint/converted';

    if (file_exists($CFG->dataroot.$path)) {
        meetingpoint_getXMLFileList($path,0);
    }

?>
