<?php

$settings->add(new admin_setting_heading('meetingpoint_heading', get_string('config', 'meetingpoint'),
                   get_string('explainconfig', 'meetingpoint')));

$settings->add(new admin_setting_configtext('meetingpoint_serverhost', get_string('serverhost', 'meetingpoint'),
                   get_string('configserverhost', 'meetingpoint'), $_SERVER['HTTP_HOST']), PARAM_HOST, 30);

$settings->add(new admin_setting_configtext('meetingpoint_serverport', get_string('serverport', 'meetingpoint'),
                   get_string('configserverport', 'meetingpoint'), 1935, PARAM_INT, 5));

$settings->add(new admin_setting_configtext('meetingpoint_serverprotocol', get_string('serverprotocol', 'meetingpoint'),
                   get_string('configserverprotocol', 'meetingpoint'), 'rtmp', PARAM_ALPHA, 5));

$settings->add(new admin_setting_configtext('meetingpoint_roomprefix', get_string('roomprefix', 'meetingpoint'),
                   get_string('configroomprefix', 'meetingpoint'), '', PARAM_SAFEDIR, 15));

unset($choices);
$choices['false'] = get_string('no');
$choices['true'] = get_string('yes');
$settings->add(new admin_setting_configselect('meetingpoint_autoconnect', get_string('autoconnect', 'meetingpoint'),
                   get_string('configautoconnect', 'meetingpoint'), 'true', $choices));

$settings->add(new admin_setting_configexecutable('meetingpoint_python', get_string('pathtopython','meetingpoint'), get_string('configpython', 'meetingpoint'), ''));

$settings->add(new admin_setting_configexecutable('meetingpoint_gif2swf', get_string('pathtogif2swf','meetingpoint'), get_string('configgif2swf', 'meetingpoint'), ''));

$settings->add(new admin_setting_configexecutable('meetingpoint_png2swf', get_string('pathtopng2swf','meetingpoint'), get_string('configpng2swf', 'meetingpoint'), ''));

$settings->add(new admin_setting_configexecutable('meetingpoint_pdf2swf', get_string('pathtopdf2swf','meetingpoint'), get_string('configpdf2swf', 'meetingpoint'), ''));

?>
