<?php
    require_once('../../../config.php');
    require_once($CFG->libdir.'/filelib.php');

    $a = required_param('a', PARAM_INT);             // meeting ID
    $comp = required_param('c', PARAM_TEXT);         // meetingpoint component
    $action = optional_param('action', '', PARAM_ALPHA); // action to do (version or other...)

    if (!empty($a)) {
        if (! $meetingpoint = get_record("meetingpoint", "id", $a)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $meetingpoint->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("meetingpoint", $meetingpoint->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    } else {
        error('A required parameter is missing');
    }
    
    require_login($course->id, true, $cm);

    $basepath = $CFG->dirroot.'/mod/meetingpoint/swf';
    switch ($action) {
        case 'version':
            $workdir = $basepath.'/'.$mod;
            echo 'Not yet implemented.';
        break;
        default:
            $workdir = $basepath.'/'.$comp.'.swf';
            if (file_exists($workdir)) {
                if (!is_dir($workdir)) {
                    send_file($workdir, basename($workdir),86400, 0, false, true, "application/x-shockwave-flash");
                } else {
                    echo 'error';
                }
            } else {
                    echo 'error';
            }
        break;
    }
?>
