<?php
require_once ($CFG->dirroot.'/course/moodleform_mod.php');
//require_once($CFG->dirroot.'/mod/meetingpoint/locallib.php');

class mod_meetingpoint_mod_form extends moodleform_mod {

    function definition() {

        global $CFG, $COURSE;
        $mform    =& $this->_form;

//-------------------------------------------------------------------------------
        $mform->addElement('header', 'general', get_string('general', 'form'));

// Name
        $mform->addElement('text', 'name', get_string('name'));
        $mform->setType('name', PARAM_TEXT);
        $mform->addRule('name', null, 'required', null, 'client');

// Summary
        $mform->addElement('htmleditor', 'summary', get_string('summary'));
        $mform->setType('summary', PARAM_RAW);
        $mform->setHelpButton('summary', array('writing', 'questions', 'richtext'), false, 'editorhelpbutton');

//-------------------------------------------------------------------------------
// Other Settings
        $mform->addElement('header', 'othersettings', get_string('othersettings', 'form'));

// Meeting Point Layout
/*        require_once($CFG->dirroot.'/mod/meetingpoint/locallib.php');

        $meetingpointlayouts = meetingpoint_get_layouts();
        $mform->addElement('select', 'layout', get_string('layout', 'meetingpoint'), $meetingpointlayouts);
        $mform->setHelpButton('layout', array('layout',get_string('layout', 'meetingpoint'),'meetingpoint'));
        //$mform->addRule('type', get_string('required'), 'required', null, 'client');
        //$mform->setDefault('type', 'meeting');
*/
// File Manager
        $mform->addElement('button', 'filemanager', get_string('filemanager','meetingpoint'), array('onclick'=>"this.target='popup'; return openpopup('/mod/meetingpoint/files/index.php?id=".$COURSE->id."', 'popup', 'menubar=0,location=0,scrollbars,resizable,width=750,height=500', 0);"));
//-------------------------------------------------------------------------------
        $this->standard_coursemodule_elements();
//-------------------------------------------------------------------------------
        // buttons
        $this->add_action_buttons();
    }

    function data_preprocessing(&$default_values) {

    }

    function validation($data) {
        return true;
    }
}
?>
